# $Id: createtables.sql,v 1.2 2005/08/05 15:11:28 cl Exp $
# phpMyAdmin SQL Dump
# version 2.5.6
# http://www.phpmyadmin.net
#
# Host: localhost
# Erstellungszeit: 04. August 2005 um 14:58
# Server Version: 4.0.24
# PHP-Version: 4.3.10-15
# 
# Datenbank: `partdb`
# 

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `categories`
#

CREATE TABLE `categories` (
  `id` int(11) NOT NULL auto_increment,
  `name` mediumtext NOT NULL,
  `parentnode` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `parentnode` (`parentnode`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `datasheets`
#

CREATE TABLE `datasheets` (
  `id` int(11) NOT NULL auto_increment,
  `part_id` int(11) NOT NULL default '0',
  `datasheeturl` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `part_id` (`part_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `footprints`
#

CREATE TABLE `footprints` (
  `id` int(11) NOT NULL auto_increment,
  `name` mediumtext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `parts`
#

CREATE TABLE `parts` (
  `id` int(11) NOT NULL auto_increment,
  `id_category` int(11) NOT NULL default '0',
  `name` mediumtext NOT NULL,
  `instock` int(11) NOT NULL default '0',
  `mininstock` int(11) NOT NULL default '0',
  `comment` mediumtext NOT NULL,
  `id_footprint` int(11) NOT NULL default '0',
  `id_storeloc` int(11) NOT NULL default '0',
  `id_supplier` int(11) NOT NULL default '0',
  `supplierpartnr` mediumtext NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_storeloc` (`id_storeloc`),
  KEY `id_category` (`id_category`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `preise`
#

CREATE TABLE `preise` (
  `id` int(11) NOT NULL auto_increment,
  `part_id` int(11) NOT NULL default '0',
  `preis` decimal(6,2) NOT NULL default '0.00',
  `t` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `part_id` (`part_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `storeloc`
#

CREATE TABLE `storeloc` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `suppliers`
#

CREATE TABLE `suppliers` (
  `id` int(11) NOT NULL auto_increment,
  `name` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `models`
#

CREATE TABLE `models` (
  `id` int(11) NOT NULL auto_increment,
  `part_id` int(11) NOT NULL default '0',
  `modelurl` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `part_id` (`part_id`)
) TYPE=MyISAM;

# --------------------------------------------------------